%define pypi_name f5-icontrol-rest

Name:           python-%{pypi_name}
Version:        1.3.15
Release:        %mkrel 4
Summary:        F5 BIG-IP iControl REST API client
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/f5-icontrol-rest
Source0:        %{pypi_source f5-icontrol-rest-python %version}
BuildArch:      noarch

%description
Generic python library used by the F5 SDK and other F5 projects to communicate 
with BIG-IP® via the REST API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(requests) >= 2.5.0
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(coveralls)
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(mccabe)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)

%description -n python3-%{pypi_name}
Generic python library used by the F5 SDK and other F5 projects to communicate 
with BIG-IP® via the REST API.

%prep
%setup -q -n %{pypi_name}-python-%{version}

# Remove functional tests, they need a real BIG-IP
rm -rf icontrol/test/functional

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%{python3_sitelib}/icontrol
%{python3_sitelib}/f5_icontrol_rest-%{version}-*.egg-info


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.3.15-4.mga9
+ Revision: 1835772
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.3.15-3.mga9
+ Revision: 1784974
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.3.15-2.mga9
+ Revision: 1705901
- rebuild for python 3.9

* Tue Aug 25 2020 guillomovitch <guillomovitch> 1.3.15-1.mga8
+ Revision: 1618878
- new version 1.13.15

* Sun Feb 16 2020 umeabot <umeabot> 1.3.13-3.mga8
+ Revision: 1533026
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 guillomovitch <guillomovitch> 1.3.13-2.mga8
+ Revision: 1443211
- rebuild for python 3.8
- drop python2 support

* Sat Apr 20 2019 guillomovitch <guillomovitch> 1.3.13-1.mga7
+ Revision: 1394048
- new version 1.3.13

* Wed Apr 03 2019 guillomovitch <guillomovitch> 1.3.12-1.mga7
+ Revision: 1385484
- imported package python-f5-icontrol-rest

